Subject: Re: [PATCH RESEND v4 1/3] kvm/powerpc: Export kvm exit reasons

From: Hemant Kumar <[email-masked]>
Date: Tue, 16 Jun 2015 08:58:07 +0530

Hi Paul,

On 06/15/2015 11:09 AM, Paul Mackerras wrote:
> On Mon, Jun 15, 2015 at 10:26:07AM +0530, Hemant Kumar wrote:
>> To analyze the kvm exits with perf, we will need to map the exit codes
>> with the exit reasons. Such a mapping exists today in trace_book3s.h.
>> Currently its not exported to perf.
>>
>> This patch moves these kvm exit reasons and their mapping from
>> "arch/powerpc/kvm/trace_book3s.h" to
>> "arch/powerpc/include/uapi/asm/trace_book3s.h".
>> Accordingly change the include files in "trace_hv.h" and "trace_pr.h".
> These are not really exit reasons so much as Power ISA interrupt
> vectors, defined externally to the kernel (in the Power ISA document)
> and not subject to change (at least, kernel developers can't change
> them).  So I don't see why this needs to be "exported" from the
> kernel.
>
> Paul.
>

The exit reasons are needed in the perf userspace and we wanted to avoid
code duplication, so, if there are any changes, we won't need to update them
at both places.
However, we could add them to perf userspace itself separately and let perf
userspace use those.

What would you suggest?

-- 
Thanks,
Hemant Kumar